DataTransferAgent (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.porttype
Class DataTransferAgent

    java.lang.Object
      org.gcube.common.core.porttypes.GCUBEPortType
          org.gcube.datatransfer.agent.impl.porttype.DataTransferAgent

All Implemented Interfaces:
  javax.xml.rpc.server.ServiceLifecycle

    public class DataTransferAgent

extends org.gcube.common.core.porttypes.GCUBEPortType

Author:
  Andrea Manzi(CERN)

Field Summary
`protected org.gcube.common.core.utils.logging.GCUBELog` | `logger`

Fields inherited from class org.gcube.common.core.porttypes.GCUBEPortType
`initialized`

Constructor Summary
`DataTransferAgent()`

Method Summary
`String` | `cancelTransfer(org.gcube.datatransfer.agent.stubs.datatransferagent.CancelTransferMessage message)` Cancel a transfer
`protected org.gcube.common.core.contexts.GCUBEServiceContext` | `getServiceContext()`
`String` | `getTransferOutcomes(String transferId)`
`String` | `monitorTransfer(String transferId)`
`FutureTask<Worker>` | `startAsyncTask(String id, org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)`
`String` | `startTransfer(org.gcube.datatransfer.agent.stubs.datatransferagent.StartTransferMessage message)` Starts a new transfer

Methods inherited from class org.gcube.common.core.porttypes.GCUBEPortType
`destroy, init, onFailure, onInitialisation, onReady, onStateChange, onUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.gcube.common.core.utils.logging.GCUBELog logger

Constructor Detail

### DataTransferAgent

    public DataTransferAgent()

Method Detail

### startTransfer

    public String startTransfer(org.gcube.datatransfer.agent.stubs.datatransferagent.StartTransferMessage message)
                         throws org.gcube.datatransfer.agent.stubs.datatransferagent.TransferFault

  Starts a new transfer

  Parameters:
    `message` -
  Returns:
  Throws:
    `org.gcube.datatransfer.agent.stubs.datatransferagent.TransferFault`

### cancelTransfer

    public String cancelTransfer(org.gcube.datatransfer.agent.stubs.datatransferagent.CancelTransferMessage message)
                          throws org.gcube.datatransfer.agent.stubs.datatransferagent.CancelTransferFault

  Cancel a transfer

  Parameters:
    `message` -
  Returns:
  Throws:
    `org.gcube.datatransfer.agent.stubs.datatransferagent.TransferFault`
    `org.gcube.common.core.faults.GCUBEFault`
    `org.gcube.datatransfer.agent.stubs.datatransferagent.CancelTransferFault`

### startAsyncTask

    public FutureTask<Worker> startAsyncTask(String id,
                                             org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source,
                                             org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)
                                      throws Exception

  Throws:
    `Exception`

### monitorTransfer

    public String monitorTransfer(String transferId)
                           throws org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault

  Throws:
    `org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault`

### getTransferOutcomes

    public String getTransferOutcomes(String transferId)
                               throws org.gcube.datatransfer.agent.stubs.datatransferagent.GetTransferOutcomesFault

  Throws:
    `org.gcube.datatransfer.agent.stubs.datatransferagent.GetTransferOutcomesFault`

### getServiceContext

    protected org.gcube.common.core.contexts.GCUBEServiceContext getServiceContext()

  Specified by:
    `getServiceContext` in class `org.gcube.common.core.porttypes.GCUBEPortType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.